/******************************************************************************************/
/*																						  */
/* File Name:  four.asm									 						  		  */
/*																						  */
/* Date:  August 27, 2002																  */
/*																						  */
/* Purpose:  This file contains the blinkfour overlay.  It blinks four LEDs.  There are   */
/*			 no nops in this file.  This overlay will be a single section overlay.	      */
/*																						  */
/******************************************************************************************/



#include "def21161.h"
.global blinkfour;


.segment/pm mem_pmco;

blinkfour:


	//sets 4 LEDs to be outputs
	ustat2 = 0x00000000;
	bit set ustat2 FLG9O | FLG8O | FLG7O | FLG6O;
	dm(IOFLAG) = ustat2;

blink_four_LEDS: 

	r9 = 0x00fff080;	
	r10=0x5;
	r11=0x1;

blink:
	//set all 4 LEDs high
	ustat2 = dm(IOFLAG);
	bit set ustat2 FLG9|FLG8|FLG7|FLG6;
	dm(IOFLAG) = ustat2;
	
	call delay;

	//set all 4 LEDs low
	ustat2 = dm(IOFLAG);
	bit clr ustat2 FLG9|FLG8|FLG7|FLG6;
	dm(IOFLAG) = ustat2;
	
	call delay;
	
	r10 = r10-r11;
	if eq jump end;
	jump blink;

delay:	
	lcntr = r9, do end_delay until lce;
		nop;
end_delay: nop;
	
end: rts;
	
.endseg;
